]> git.pld-linux.org Git - packages/dhcp.git/blobdiff - dhcp.init
- from http://www.rocklinux.net/sources/package/base/dhcp/gcc343-fix.patch
[packages/dhcp.git] / dhcp.init
index 9772ebc8ab7fac2eed9fac8c9aa1482bc2ccdc61..c06ae4b348a7aa02a26541577ee10c9b7f82f232 100644 (file)
--- a/dhcp.init
+++ b/dhcp.init
@@ -1,39 +1,63 @@
 #!/bin/sh
 # DHCP Server
 #
-# chkconfig: 345 80 20
-# description: DHCP Server
+# chkconfig:   345 80 20
+# description: DHCP Server
 
-# Source function library.
+# Source function library
 . /etc/rc.d/init.d/functions
 
-# Nice level for running sshd
-[ -f /etc/dhcpd.conf ] || exit 0
+# Get network config
+. /etc/sysconfig/network
 
+# Get service config
+[ -f /etc/sysconfig/dhcpd ] && . /etc/sysconfig/dhcpd
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+               msg_network_down DHCPD
+               exit 1
+       fi
+else
+       exit 0
+fi
+
+RETVAL=0
 # See how we were called.
 case "$1" in
   start)
-       show Starting DHCP Server
-       daemon dhcpd
-       touch /var/lock/subsys/dhcpd
+       # Check if the service is already running?
+       if [ ! -f /var/lock/subsys/dhcpd ]; then
+               msg_starting "DHCP Server"
+               daemon dhcpd $DHCPD_INTERFACES
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/dhcpd
+       else
+               msg_already_running DHCPD
+       fi
        ;;
   stop)
-       show Stopping DHCP Server
-       killproc dhcpd
-       rm -f /var/run/dhcpd.pid
-       rm -f /var/lock/subsys/dhcpd
+       if [ -f /var/lock/subsys/dhcpd ]; then
+               msg_stopping "DHCP Server"
+               killproc dhcpd
+               rm -f /var/run/dhcpd.pid /var/lock/subsys/dhcpd >/dev/null 2>&1
+       else
+               msg_not_running DHCPD
+       fi
        ;;
-  restart)
+  restart|reload)
        $0 stop
        $0 start
+       exit $?
        ;;
   status)
        status dhcpd
+       exit $?
        ;;
   *)
-       echo "Usage: $0 {start|stop|restart|status}"
-       exit 1
+       msg_usage "$0 {start|stop|restart|force-reload|status}"
+       exit 3
 esac
 
-exit 0
-
+exit $RETVAL
This page took 0.101773 seconds and 4 git commands to generate.